Name:           pic2aa
Version:        0.2.1
Release:        4%{?dist}
Summary:        Pic2AA is tool for converting jpeg/png to AA (Ascii Art) images
Summary(pl):    Pic2AA to narzędzie do konwertowanie jpeg/png do AA (Ascii Art) obrazków
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://scripts.one.pl/%{name}
Source0:        http://scripts.one.pl/%{name}/files/%{name}-%{version}.tar.gz
Source1:        http://scripts.one.pl/%{name}/ss/shot1.png
Source2:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt3-devel ImageMagick aalib-devel desktop-file-utils
Requires:       hicolor-icon-theme

%description
Pic2AA is tool for converting jpeg/png (and any other image formats 
supported by Qt library) to AA (Ascii Art) images, using AA-Lib library. 
It can show previews of converted image and save image into text file.

%description -l pl
Pic2AA to narzędzie do konwertowanie jpeg/png (i innych formatów obrazkowych
formatów wspieranych przez Qt biblitoeke) do AA (Ascii Art)obrazków, używając 
AA-Lib biblioteki. Może pokazwyać podgląd przekonwertowanego obrazka i zapisać
obrazek do pliku tekstowego.

%prep
%setup -q

iconv --from=ISO-8859-1 --to=UTF-8 COPYING > COPYING.utf8
mv COPYING.utf8 COPYING

iconv --from=ISO-8859-1 --to=UTF-8 AUTHORS > AUTHORS.utf8
mv AUTHORS.utf8 AUTHORS

mkdir icons
for size in 16 22 24 32 36 48; do
  mkdir -p icons/${size}x${size}/apps
  convert %{SOURCE1} -resize ${size}x${size} icons/${size}x${size}/apps/%{name}.png
done

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
cp -pr icons/*x* $RPM_BUILD_ROOT%{_datadir}/icons/hicolor

desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%exclude %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 12 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.2.1-3
- Correct .desktop

* Sun Feb 10 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.2.1-2
- Correct summary and description
- Convert doc to UTF-8

* Sun Feb 10 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.2.1-1
- First release
